Bug 637219 - [RHEL5 IA64 XEN] netfront driver: alloc_dev: Private data too big. [rhel-5.4.z]
Summary: [RHEL5 IA64 XEN] netfront driver: alloc_dev: Private data too big. [rhel-5.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: ia64
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 630129
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-24 15:39 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:21 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.18-164.27.1.el5
Doc Type: Bug Fix
Doc Text:
Recently applied patch introduced a bug, which caused the Xen guest networking not to work properly on 64-bit Itanium processors. However, this bug also revealed an issue, which may have led to a data corruption. With this update, both errors have been fixed, and Xen virtual guest networking now works as expected.
Clone Of:
Environment:
Last Closed: 2010-10-19 13:35:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0778 normal SHIPPED_LIVE kernel bug fix update 2010-10-19 13:34:26 UTC

Description RHEL Product and Program Management 2010-09-24 15:39:28 UTC
This bug has been copied from bug #630129 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 2 Jiri Pirko 2010-09-26 05:50:06 UTC
in kernel 2.6.18-164.27.1.el5

linux-2.6-virt-xen-fix-xennet-driver-to-not-corrupt-data.patch

Comment 4 Jaromir Hradilek 2010-10-12 22:51:51 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Recently applied patch introduced a bug, which caused the Xen guest networking not to work properly on 64-bit Itanium processors. However, this bug also revealed an issue, which may have led to a data corruption. With this update, both errors have been fixed, and Xen virtual guest networking now works as expected.

Comment 5 Lei Wang 2010-10-15 08:09:35 UTC
Verify this bug with kernel-xen-2.6.18-164.28.1.el5.ia64. 

Network connection worked as expected (ping,ssh,wget).

dmesg is without any 'Private data too big' message,details as below:

[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.18-164.28.1.el5xen #1 SMP Mon Sep 27 13:15:10 EDT 2010 ia64 ia64 ia64 GNU/Linux
[root@localhost ~]# dmesg |grep netfront
netfront: Initialising virtual ethernet driver.
netfront: device eth0 has flipping receive path.

So move bug status to VERIFIED.

Comment 7 errata-xmlrpc 2010-10-19 13:35:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0778.html


Note You need to log in before you can comment on or make changes to this bug.